OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Polygons

Description

This module corresponds to section 3.5 (Polygons) of the OpenGL 2.1 specs.

# Documentation

polygonSmooth :: StateVar Capability

cullFace :: StateVar (Maybe Face)

class PolygonStipple s where

Minimal complete definition

Nothing

Methods

withNewPolygonStipple :: (Ptr GLubyte -> IO ()) -> IO s

withPolygonStipple :: s -> (Ptr GLubyte -> IO a) -> IO a

newPolygonStipple :: [GLubyte] -> IO s

getPolygonStippleComponents :: s -> IO [GLubyte]

Instances

PolygonStipple GLpolygonstipple |

data GLpolygonstipple

Instances

Eq GLpolygonstipple |
Ord GLpolygonstipple |
Show GLpolygonstipple |
PolygonStipple GLpolygonstipple |

polygonStipple :: PolygonStipple s => StateVar (Maybe s)

data PolygonMode

Constructors

Point |
Line |
Fill |

Instances

Eq PolygonMode |
Ord PolygonMode |
Show PolygonMode |

polygonMode :: StateVar (PolygonMode, PolygonMode)

polygonOffset :: StateVar (GLfloat, GLfloat)

polygonOffsetPoint :: StateVar Capability

polygonOffsetLine :: StateVar Capability

polygonOffsetFill :: StateVar Capability